* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  font-family: sans-serif;
  justify-content: center;
}

.pokedex {
  align-items: flex-end;
  display: flex;
  height: 600px;
  margin: 50px;
  width: 800px;
}

.left-container,
.right-container {
  border: 2px solid black;
  width: 50%;
}

.right-container {
  border-left: none;
  background: #FE1A55;
}

.left-container {
  background: #FE1A55;
  height: 100%;
  width: calc(50% + 50px);
}

.left-container__top-section {
  border-bottom: 3px solid black;
  display: flex;
  height: 70px;
  padding: 8px;
  -webkit-box-shadow: 1px 18px 3px 0px rgba(72,21,87,1);
  -moz-box-shadow: 1px 18px 3px 0px rgba(72,21,87,1);
  box-shadow: 1px 18px 3px 0px rgba(72,21,87,1);

}

.top-section__blue {
  background: radial-gradient(farthest-corner at 10px 10px, white, #369CD4, #369CD4);
  border-radius: 50%;
  border: 8px solid white;
  box-shadow: 0 0 2px 2px rgba(0,0,0,.5);
  height: 50px;
  width: 50px;
}

.top-section__small-buttons {
  display: flex;
  margin: 0 25px;
}

.top-section__red,
.top-section__yellow,
.top-section__green {
  border-radius: 50%;
  border: 3px solid black;
  height: 20px;
  margin-right: 5px;
  width: 20px;
}

.left-container__main-section-container {
  display: flex;
  height: calc(100% - 70px);


}

.left-container__main-section {
  height: 100%;
  padding: 50px 20px;
  width: 500px;
  -webkit-box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
  -moz-box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
  box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
}

/* .main-section__white {
  background: #DEDEDE;
  border: 3px solid black;
  box-shadow: inset 0 0 3px 3px rgba(0,0,0,.3);
  height: 325px;
} */

.main-section__black {
  background: #0C1A57;
  height: calc(100% - 15px);
  margin: 5px;
  padding: 10px;
  width: calc(100% - 15px);
  -webkit-box-shadow: 0px 0px 5px 5px rgba(0,0,0,1);
  -moz-box-shadow: 0px 0px 5px 5px rgba(0,0,0,1);
  box-shadow: 0px 0px 5px 5px rgba(0,0,0,1);
}

.main-screen {
  border-radius: 15px;
  height: 100%;
  padding: 15px;
}

.screen__header {
  align-items: center;
  display: flex;
  justify-content: space-between;
}

.poke-name {
  color: white;
  font-size: 25px;
  font-weight: bold;
}

#poke-id {
  color: white;
  font-size: 20px;
}

.screen__image {
  display: flex;
  justify-content: space-around;
}

.poke-image {
  height: 100px;
  width: 100px;
}

.screen__description {
  display: flex;
  height: 100px;
  justify-content: space-around;
}

.screen__stats {
  border-radius: 5px;
  color: white;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
  padding: 20px 15px;
}

.stats__types {
  height: 100%;
  padding: 5px;
}

.poke-type-one,
.poke-type-two {
  background: rgba(255,255,255,.3);
  border-radius: 25px;
  display: block;
  margin-bottom: 10px;
  padding: 10px;
  text-align: center;
}

.left-container__controllers {
  align-items: center;
  display: flex;
  justify-content: space-around;
  margin-top: 40px;
}

.controllers__d-pad {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
}

.d-pad__cell {
  background: black;
  box-shadow: 0 0 2px 2px rgba(0,0,0, .3);
  height: 25px;
  width: 25px;
}

.d-pad__cell.top {
  border-left: 1px solid dimgrey;
  border-radius: 5px 5px 0 0;
  border-right: 1px solid dimgrey;
  border-top: 1px solid dimgrey;
  grid-column: 2 / span 1;
  grid-row: 1 / span 1;
}

.d-pad__cell.left {
  border-bottom: 1px solid dimgrey;
  border-left: 1px solid dimgrey;
  border-radius: 5px 0 0 5px;
  border-top: 1px solid dimgrey;
  grid-column: 1 / span 1;
  grid-row: 2 / span 1;
}

.d-pad__cell.middle {
  grid-column: 2 / span 1;
  grid-row: 2 / span 1;
}

.d-pad__cell.right {
  border-bottom: 1px solid dimgrey;
  border-radius: 0 5px 5px 0;
  border-right: 1px solid dimgrey;
  border-top: 1px solid dimgrey;
  grid-column: 3 / span 1;
  grid-row: 2 / span 1;
}

.d-pad__cell.bottom {
  border-bottom: 1px solid dimgrey;
  border-left: 1px solid dimgrey;
  border-radius: 0 0 5px 5px;
  border-right: 1px solid dimgrey;
  grid-column: 2 / span 1;
  grid-row: 3 / span 1;
}

.controllers__buttons {
  display: flex;
  justify-content: space-around;
  width: 100px;
}

.buttons__button {
  align-items: center;
  background: rgb(110, 155, 167);
  border-radius: 50%;
  border: 1px solid dimgrey;
  box-shadow: 0 0 2px 2px rgba(0,0,0, .3);
  color: rgba(255,255,255,.75);
  display: flex;
  height: 50px;
  justify-content: center;
  width: 50px;
}

.buttons__button img {
  width: 80%;
}

.buttons__button:first-child {
  margin-top: 5px;
}

.buttons__button:last-child {
   margin-top: -5px;
 }


.left-container__right {
  background: linear-gradient(to right, #FC9074, #FE1A55, #481557);
  border-left: 3px solid black;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
  width: 50px;
}

.left-container__hinge {
  height: 75px;
  width: 100%;
}

.left-container__hinge:first-child {
  
}

.left-container__hinge:last-child {
  -webkit-box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
  -moz-box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
  box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
}

.top-section__red {
  background: radial-gradient(farthest-corner at 0px 0px, white, #7F100F, #7F100F);
}

.top-section__yellow {
  background: radial-gradient(farthest-corner at 0px 0px, white, #EDF18E, #EDF18E);
}

.top-section__green {
  background: radial-gradient(farthest-corner at 0px 0px, white, #33915A, #33915A);
}

.right-container {
  height: calc(100% - 100px);
  padding: 25px;
  width: calc(50% - 50px);
  -webkit-box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
  -moz-box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
  box-shadow: 1px 5px 3px 0px rgba(72,21,87,1);
}

.right-container__black {
  box-shadow: 0 0 2px 2px rgba(0,0,0,.3);
  height: 350px;
  padding: 10px;
  background: #0C1A57;
  -webkit-box-shadow: 0px 0px 5px 5px rgba(0,0,0,1);
  -moz-box-shadow: 0px 0px 5px 5px rgba(0,0,0,1);
  box-shadow: 0px 0px 5px 5px rgba(0,0,0,1);
}

.right-container__screen {
  background: #43B0F2;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  height: 50%;
  padding: 15px 15px 0;
}

.list-item {
  align-items: center;
  color: white;
  cursor: pointer;
  display: flex;
  font-size: 12px;
  height: 25px;
  overflow-x: hidden;
  padding-left: 5px;
  width: 50%;
}

.list-item:hover {
  background: #85cbf2;
  color: black;
}

.list-item:active {
  background: #1280f2;
  color: white;
}




.left-button,
.main-button,
.right-button {
  align-items: center;
  background: #DEDEDE;
  border-radius: 3px;
  border: 2px solid black;
  box-shadow: 0 0 2px 2px rgba(0,0,0,.3);
  cursor: pointer;
  display: flex;
  font-weight: bold;
  height: 30px;
  justify-content: center;
  text-transform: uppercase;
  width: 100px;
}

.main-button:hover,
.left-button:hover,
.right-button:hover {
  background: white;
}

.main-button:hover,
.left-button:active,
.right-button:active {
  box-shadow: inset 0 0 2px 2px rgba(0,0,0,.3);
}

.main-button {
  margin: auto;
  margin-top: 20px;
}


/* .hide {
  display: none;
} */




/* search bar and suggestions */


#match-list {
  width: 15%;
  position: absolute;
  background-color: rgba(148, 135, 135, 0.548);
}

#search {
  width: 100%;
  font-size: 18px;
  font-weight: bold;
  margin-top: 15px;
  padding: 2px;
}




.poke-suggestions { 
  background-color: white;
  color: black;
  padding: 2px;
  font-size: 15px;
  border-top: 1px solid #666;
  cursor: pointer;
}

.poke-suggestions:hover {
  background-color: grey;
}



/* footer */
.footer {
  position: fixed;
  bottom: 0px;
  padding: 1vmin;
  background-color: rgb(203, 224, 240);
  width: 100vmax;
  text-align: center;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.footer img {
  margin-right: 20px;
  width: 20px;
}




/* second screen */
.screen__stats_two {
  display: flex;
  flex-direction: column;
  color: white;
}

.sub_stats {
  padding: 10px 2px;
  border-bottom: 1px solid white;
}


.stats-ctn{
  display: flex;
  flex-direction: row;
  align-items: center;
}

.stat-value {
  margin-top: 2px;
  padding: 2px;
  width: 40%;
}

.stat-bar {
  height: 15px;
  /* margin-left: 50px; */
  background: #11D428;
  width: 120px;
}


.red-style {
  background: rgb(177,14,14);
  background: linear-gradient(0deg, rgba(177,14,14,1) 27%, rgba(210,37,37,1) 75%, rgba(251,220,220,1) 93%);
}

.orange-style {
  background: rgb(237,146,48);
  background: linear-gradient(0deg, rgba(237,146,48,1) 0%, rgba(253,85,29,1) 42%, rgba(233,224,27,1) 81%);
}

.green-style {
  background: rgb(29,182,79);
  background: linear-gradient(0deg, rgba(29,182,79,1) 32%, rgba(38,222,94,1) 85%, rgba(189,255,192,1) 90%);
}


h3 {
  /* margin-top: 3px; */
}

#move-title {
  margin-top: 10px;
}

#list-moves {
  margin-top: 5px;
  overflow-y: scroll;
  scrollbar-color: dark;
  scrollbar-width: thin;
  height: 120px;
} 

